import { Room } from "./rooms.model";

export class RoomDetail {
    Id?: number;
    room: Room;
    userName: string;
    sDate: string;
    eDate: string;
    sTime: string;
    eTime: string;
    rStatus: number;
    rTelephone: string;
    email: string;
    Remark: string;
    constructor(init?: RoomDetail) {
        Object.assign(this, init);
        this.Id = 1;
        this.room = this.room;
        this.userName = '';
        this.sDate = '';
        this.eDate = '';
        this.rStatus = 0;
        this.rTelephone = '';
        this.email = '';
        this.Remark = '';
    }
}

export interface SearchRoomDetailModel {
    sDate: string;
    eDate: string;
    sTime: string;
    eTime: string;
}

export class SearchRoomDetailModel {
    constructor(init?: SearchRoomDetailModel) {
        Object.assign(this, init);
        this.sDate = '',
            this.eDate = '',
            this.sTime = '',
            this.eTime = '';
    }
}